<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flag_accuracy_level.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flag_accuracy_level" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>flag_accuracy_level</refname>
    <refpurpose>sets and gets accuracy level</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   FLAG = flag_accuracy_level()
   flag_accuracy_level(FLAG)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>FLAG :</term>
      <listitem><para> accuracy level</para></listitem></varlistentry>
   <varlistentry><term>0:</term>
      <listitem><para> maximum speed [default]</para></listitem></varlistentry>
   <varlistentry><term>1:</term>
      <listitem><para> accuracy of extended (80bit) with naive summation (error = N*2^-64)</para></listitem></varlistentry>
   <varlistentry><term>2:</term>
      <listitem><para> accuracy of double (64bit) with Kahan summation (error = 2^-52)</para></listitem></varlistentry>
   <varlistentry><term>3:</term>
      <listitem><para> accuracy of extended (80bit) with Kahan summation  (error = 2^-64)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
used in SUMSKIPNAN_MEX and COVM_MEX
The error margin of the naive summation is N*eps (N is the number of samples),
the error margin is only 2*eps if Kahan's summation is used [1].
   </para>
   <para>
Please note, level 3 might be equally accurate but slower than 1 or 2 on
some platforms.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] David Goldberg,</para>
   <para>What Every Computer Scientist Should Know About Floating-Point Arithmetic</para>
   <para>ACM Computing Surveys, Vol 23, No 1, March 1991.</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
